Subject: Re: Cygwin finally croaked
From: "George Hester" <[email-masked]>
To: [email-masked]
Date: Mon, 25 Oct 2004 20:17:39 -0400

"Larry Hall" 
> At 07:59 PM 10/24/2004, you wrote:
> >"Larry Hall" <[email-masked]> wrote in message 
> 
> 
> Again, <http://cygwin.com/acronyms/#PCYMTNQREAIYR>.
> 
<snip>
> 
> 
> >news:[email-masked]...
> >> At 06:02 PM 10/24/2004, you wrote:
> >> >"Larry Hall" <[email-masked]> wrote in message 
> >> 
> >> <http://cygwin.com/acronyms/#PCYMTNQREAIYR>
> >> 
> >> <snip>
> >> 
> 
> 
> <more snippage>
> 
> 
> >> 
> >> >After the whois I am noticing that the console stops receiving keyboard input.  I click the title bar minimize other open windows and it starts to receive keyboard input again.  And I can do ctrl-D which is what I want to do after whois.  Namely I want to logout.  This is the ONLY application I have installed in Windows 2000 that does this.  The ONLY one.
> >> >
> >> >If you need any more information other than what I provided that you think might help to trouble-shoot this issue please let me know what you suggest or need?  Thanks.
> >> 
> >> 
> >> I guess I need to see your 'cygwin.bat' contents and your invocation of 
> >> 'whois'.  So far, I see nothing wrong and I cannot reproduce your problems
> >> on this end.
> >
> >Neither could I before this issue started.  In fact I never tried to get this behavior.  Just started happening
> >right out of the blue  I double-click it poof.  I double click it again fine.  Sometimes the console stops accepting
> >input.  Sometimes not.
> >
> 
> 
> <snip>
> 
> 
> >cygwin.bat:
> >_______________
> >@echo off
> >
> >C:
> >chdir C:\cygwin\bin
> >Set INCLUDE=C:\cygwin\lib\gcc-lib\i686-pc-mingw32\3.3.1\include;
> >Set CYGWIN=tty notitle glob
> >bash --login -i
> >_______________
> >
> >Everything I am sending you is exactly as it is\was before this issue started.  I think
> >maybe you can see why I asked if there was a shelf-life.  For that's all I can think of at this point.
> >
> >I mean I did update my Java Plug-in.  I may have added stuff to my classpath.  I put in a VRML plugin.  I changed my php directory from C:\PHP to C:\PHP4 and am using some extensions now.  In fact I've done lot's
> >of stuff but I know I didn't touch anything in C:\cygwin.
> 
> 
> 
> OK, well if you actually changed absolutely *nothing* relative to Cygwin 
> then your problem lies elsewhere.  As for your 'cygwin.bat' file, that's 
> fine.  It works fine for me with minor edits to make it conform to my
> environment.  The only suggestion I'll make beyond looking at other areas
> in your system is to try running 'cygwin.bat' from a DOS command prompt
> window.  If you can reproduce the problem there, there may be some output
> that would help you zero in on the issue.
> 
> 
> 
> --
> Larry Hall                              http://www.rfk.com
> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> 838 Washington Street                   (508) 893-9889 - FAX
> Holliston, MA 01746                     
> 
> 
OK I did it in the console.  Pardon my mistakes here:

C:\cygwin>cygwin

C:\cygwin>REM @echo off

C:\cygwin>C:

C:\cygwin>chdir C:\cygwin\bin

C:\cygwin\bin>Set INCLUDE=C:\cygwin\lib\gcc-lib\i686-pc-mingw32\3.3.1\include;

C:\cygwin\bin>Set CYGWIN=tty notitle glob

C:\cygwin\bin>bash --login -i

=========
My comment: This should not have happened.
=========

C:\cygwin\bin>cygwin
'cygwin' is not recognized as an internal or external command,
operable program or batch file.

C:\cygwin\bin>cd..

C:\cygwin>cd..

C:\>cd cygwin

C:\cygwin>cygwin

C:\cygwin>REM @echo off

C:\cygwin>C:

C:\cygwin>chdir C:\cygwin\bin

C:\cygwin\bin>Set INCLUDE=C:\cygwin\lib\gcc-lib\i686-pc-mingw32\3.3.1\include;

C:\cygwin\bin>Set CYGWIN=tty notitle glob

C:\cygwin\bin>bash --login -i

========
My Comment: Now all is fine
========

Administrator@hester ~
$

You can tell after I ran cygwin.bat once I did not go into the cygwin application but instead went right into C:\cygwin\bin

After getting back to C:\cygwin I ran cygwin.bat again and this time the application Cygwin did fire up.  So it seems the initial call to cygwin.bat is NOT firing up the application but instead is just causing a cd change to C:\cygwin\bin.  I don't think that is right.

-- 
George Hester
__________________________________

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/